# pstun.h File Reference

`#include <ptclib/pnat.h>`
`#include <ptlib/sockets.h>`

Go to the source code of this file.

## Classes

class | PSTUNUDPSocket
| UDP socket that has been created by the STUN client. More...
class | PSTUNClient
| STUN client. More...

## Functions

ostream & | operator<< (ostream &strm, PSTUNClient::NatTypes type)

## Function Documentation

ostream& operator<< | ( | ostream & | strm,
|  | PSTUNClient::NatTypes | type |
| ) |  |  | `[inline]`